package com.iskael.keramat;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class HomeActivity extends Activity {
	
	SharedPreferences prefs;
	int lvl;
	
	Button btnStart, btnHelp, btnExit, btnReset;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_home);
		
		prefs = getSharedPreferences("ipf", 0);
		lvl = prefs.getInt("shared_lvl", lvl);
		
		btnStart = (Button)findViewById(R.id.button1);
		btnHelp = (Button)findViewById(R.id.button2);
		btnExit = (Button)findViewById(R.id.button3);
		btnReset = (Button)findViewById(R.id.button4);
		
		btnStart.setOnClickListener(new OnClickListener(){
			public void onClick (View v) {
				Intent intent1 = new Intent(HomeActivity.this, GameActivity.class);
				startActivity(intent1);
			}
		});
		
		btnHelp.setOnClickListener(new OnClickListener(){
			public void onClick (View v) {
				Intent intent1 = new Intent(HomeActivity.this, HelpActivity.class);
				startActivity(intent1);
			}
		});
		
		btnExit.setOnClickListener(new OnClickListener(){
			public void onClick (View v) {
				finish();
			}
		});
		
		btnReset.setOnClickListener(new OnClickListener(){
			public void onClick (View v) {
				lvl = 1;
				SharedPreferences.Editor editor = prefs.edit();
				editor.putInt("shared_lvl", lvl);
				editor.commit();
			}
		});
	}
}
